<nav>
    <a [routerLink]="['login']">Login</a>
    <a [routerLink]="['directives']">Directives</a>
    <a [routerLink]="['databinding']">Databinding</a>
    <a [routerLink]="['databinding/child/89']">Child</a>
</nav>

<router-outlet></router-outlet>